Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ssrHelper = require('../ssrHelper');

exports['default'] = function (_ref) {
  var title = _ref.title,
      description = _ref.description;

  var name = 'head';

  var cycle = {
    name: name,
    appendToHead: function () {
      function appendToHead($head) {
        $head.append('<title>' + String(title) + '</title>');
        $head.append('<meta name="description" content="' + String(description) + '">');
      }

      return appendToHead;
    }()
  };
  return (0, _ssrHelper.ssrDecorator)(cycle);
};

module.exports = exports['default'];