Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ssrHelper = require('../ssrHelper');

exports['default'] = function (wrapFn) {
  var name = 'wrapSSR';

  var cycle = {
    name: name,
    wrapSSR: function () {
      function wrapSSR(appElement, options) {
        return wrapFn(appElement, options);
      }

      return wrapSSR;
    }()
  };

  return (0, _ssrHelper.ssrDecorator)(cycle);
};

module.exports = exports['default'];