Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _path = require('path');

var _webpackMerge = require('webpack-merge');

var _webpackMerge2 = _interopRequireDefault(_webpackMerge);

var _getBabelConfig = require('../server/babel/get-babel-config');

var _getBabelConfig2 = _interopRequireDefault(_getBabelConfig);

var _loadCorenConfig = require('../server/load-coren-config');

var _loadCorenConfig2 = _interopRequireDefault(_loadCorenConfig);

var _assetsPathPlugin = require('../server/webpack/plugins/assets-path-plugin');

var _assetsPathPlugin2 = _interopRequireDefault(_assetsPathPlugin);

var _afterCompilePlugin = require('../server/webpack/plugins/after-compile-plugin');

var _afterCompilePlugin2 = _interopRequireDefault(_afterCompilePlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var CorenWebpack = function () {
  function CorenWebpack(dir, userWebpack) {
    _classCallCheck(this, CorenWebpack);

    this.userWebpack = userWebpack;
    this.corenConfig = (0, _loadCorenConfig2['default'])(dir);

    this.userWebpack.plugins = [new _assetsPathPlugin2['default']({ rootDir: dir }), new _afterCompilePlugin2['default']()].concat(_toConsumableArray(this.userWebpack.plugins));
    this.userWebpack = (0, _webpackMerge2['default'])(this.userWebpack, {
      module: {
        rules: [{
          test: /\.js$/,
          use: {
            loader: 'babel-loader',
            options: (0, _getBabelConfig2['default'])(dir)
          },
          exclude: (0, _path.resolve)(dir, "node_modules")
        }]
      }
    });
  }

  _createClass(CorenWebpack, [{
    key: 'output',
    value: function () {
      function output() {
        return this.userWebpack;
      }

      return output;
    }()
  }]);

  return CorenWebpack;
}();

exports['default'] = CorenWebpack;
module.exports = exports['default'];