var _path = require('path');

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports.initialize = function (dir) {
  var dirs = [(0, _path.join)(dir, '.coren', 'commonjs'), (0, _path.join)(dir, '.coren', 'html')];
  dirs.forEach(function (d) {
    return _mkdirp2['default'].sync(d);
  });
};
// .coren
exports.getRootPath = function (dir) {
  return (0, _path.join)(dir, '.coren');
};

exports.getAssetsJsonPath = function (dir) {
  return (0, _path.join)(dir, '.coren', 'assets.json');
};

exports.getSsrDir = function (dir) {
  return (0, _path.join)(dir, '.coren', 'html');
};

exports.getCommonJSDir = function (dir) {
  return (0, _path.join)(dir, '.coren', 'commonjs');
};