Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = loadAssetsJSON;

var _fs = require('fs');

var _corenWorkingSpace = require('./coren-working-space');

var _utils = require('./utils');

var error = _utils.color.error;
function loadAssetsJSON(dir) {
  var path = (0, _corenWorkingSpace.getAssetsJsonPath)(dir);
  var hasAssets = (0, _fs.existsSync)(path);
  if (hasAssets) {
    return JSON.parse((0, _fs.readFileSync)(path, 'utf8'));
  }
  throw new Error(error('Cannot find `assets.json`, please build the webpack entry first.'));
}
module.exports = exports['default'];