var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ssrHelper = require('../ssrHelper');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var pathToRegexp = require('path-to-regexp');

// create a match function
var createMatch = function createMatch(url) {
  return function (componentUrl) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    // exact default value is as same as react router default exact
    var exact = options.exact || false;
    var re = pathToRegexp(componentUrl, [], { end: exact });
    return re.exec(url);
  };
};

var route = function route(path, data) {
  return { path: path, data: data, match: createMatch(path) };
};

var homeRoute = route("/");

var RouterUrl = function () {
  function RouterUrl(url) {
    _classCallCheck(this, RouterUrl);

    this.url = url;
  }

  _createClass(RouterUrl, [{
    key: 'getUrls',
    value: function () {
      function getUrls() {
        // why return Promise with array?
        // because RouterParamUrl return Promise with array of urls
        // so we make these two class return same data format
        return [route(this.url)];
      }

      return getUrls;
    }()
  }]);

  return RouterUrl;
}();

// export {homeRoute};

var routeFn = function routeFn(route) {
  var name = 'route';

  var cycle = {
    name: name,
    setRoute: function () {
      function setRoute() {
        return new RouterUrl(route).getUrls();
      }

      return setRoute;
    }()
  };

  return (0, _ssrHelper.ssrDecorator)(cycle);
};

exports.homeRoute = homeRoute;
module.exports = routeFn;