Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _hoistNonReactStatics = require('hoist-non-react-statics');

var _hoistNonReactStatics2 = _interopRequireDefault(_hoistNonReactStatics);

var _shortid = require('shortid');

var _shortid2 = _interopRequireDefault(_shortid);

var _ssrHook = require('../../shared/ssrHook');

var _ssrHook2 = _interopRequireDefault(_ssrHook);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

exports['default'] = function (WrappedComponent) {
  var corenID = _shortid2['default'].generate();

  var Hoc = function (_React$Component) {
    _inherits(Hoc, _React$Component);

    function Hoc(props) {
      _classCallCheck(this, Hoc);

      var _this = _possibleConstructorReturn(this, (Hoc.__proto__ || Object.getPrototypeOf(Hoc)).call(this, props));

      _ssrHook2['default'].setProps(corenID, props);
      return _this;
    }

    _createClass(Hoc, [{
      key: 'render',
      value: function () {
        function render() {
          return _react2['default'].createElement(WrappedComponent, this.props);
        }

        return render;
      }()
    }], [{
      key: '__COREN_ID',
      value: function () {
        function __COREN_ID() {
          return corenID;
        }

        return __COREN_ID;
      }()
    }]);

    return Hoc;
  }(_react2['default'].Component);

  var HoistComponent = (0, _hoistNonReactStatics2['default'])(Hoc, WrappedComponent);
  _ssrHook2['default'].registerComponent(corenID, HoistComponent);
  return HoistComponent;
};

module.exports = exports['default'];