Object.defineProperty(exports, "__esModule", {
  value: true
});

exports['default'] = function (dir) {
  var customBabelrc = (0, _findBabelrc2['default'])(dir);
  var returnBabelrc = {};
  if (customBabelrc) {
    returnBabelrc.babelrc = true;
  } else {
    returnBabelrc.babelrc = false;
  }
  if (!returnBabelrc.babelrc) {
    returnBabelrc.presets = _defaultBabelrc2['default'].presets;
    returnBabelrc.plugins = _defaultBabelrc2['default'].plugins;
  }

  return returnBabelrc;
};

var _findBabelrc = require('./find-babelrc');

var _findBabelrc2 = _interopRequireDefault(_findBabelrc);

var _defaultBabelrc = require('./default-babelrc');

var _defaultBabelrc2 = _interopRequireDefault(_defaultBabelrc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

module.exports = exports['default'];

// if user has babelrc file, it would cover default babelrc config