var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var fs = require('fs');

exports.color = {
  success: function () {
    function success(text) {
      return _chalk2['default'].green(text);
    }

    return success;
  }(),
  error: function () {
    function error(text) {
      return _chalk2['default'].red(text);
    }

    return error;
  }(),
  warning: function () {
    function warning(text) {
      return _chalk2['default'].yellow(text);
    }

    return warning;
  }()
};

exports.isFile = function (path) {
  return fs.existsSync(path);
};